Subject: Re: [PATCH 2/3] sysfs: remove error messages for -EEXIST case

From: Greg KH <[email-masked]>
Date: Wed, 14 May 2008 20:14:58 -0700

On Wed, May 14, 2008 at 06:26:37PM -0700, David Miller wrote:
> From: Stephen Hemminger <[email-masked]>
> Date: Wed, 14 May 2008 18:16:03 -0700
> 
> > It is possible that the entry in sysfs already exists, one case of this is
> > when a network device is renamed to bonding_masters. Anyway, in this case
> > the proper error path is for device_rename to return an error code, not to
> > generate bogus backtrace and errors.
> > 
> > Also, to avoid possible races, the create link should be done before the
> > remove link. This makes a device rename atomic operation like other renames.
> > 
> > Signed-off-by: Stephen Hemminger <[email-masked]>
> 
> I definitely agree with this change.
> 
> We have several cases where device names are user configurable,
> yet the devices live in a directory which also has subdirectories
> created by other subsystems.
> 
> It's pointless to require the top-level guy to look for any
> purge out any subdirectory cases, that's none of it's business.
> 
> I realize the backtrace is useful for finding bugs, but in this
> case it's definitely not appropriate.

Fair enough, I have no objection to these.

David, do you want me to take them through my tree?  Or are they
dependant on the network core changes as well?  If so, I have no
problem you taking them.  Feel free to add a:
	Signed-off-by: Greg Kroah-Hartman <[email-masked]>
to them in that case.

thanks,

greg k-h